/***************************************************************************\

   (c) 1995-1996, ProtoView Development Co., All rights reserved
\***************************************************************************/

//
//
// InterAct OCX define file.
//
//


#ifndef IDOOCXDEF_INCLUDED
#define IDOOCXDEF_INCLUDED



   typedef enum {
	   idoLeftClick		= 0x1,
	   idoRightClick		= 0x2,
	   idoLeftDblClick	= 0x3,
	   idoRightDblClick	= 0x4,
	   } enumIDO_MouseStatusConstants;


	typedef enum {
		IDOMENU_INTERACT   = 0x1,
		IDOMENU_ENTITY     = 0x2,
		IDOMENU_RELATION   = 0x3,
		} enumIDO_PopupMenuConstants;

    typedef enum {
        STYLE_3D_OUTDENT       = 0x0,
        STYLE_3D_HEAVY_OUTDENT = 0x1,
        STYLE_3D_INDENT        = 0x2,
        STYLE_3D_HEAVY_INDENT  = 0x3,
        STYLE_3D_SHADOW        = 0x4,
        STYLE_3D_NONE          = 0x5,
        } enumIDO_3DStyleConstants;

    typedef enum {
        MS_INET2 = 0x0,
        NETSCAPE = 0x1,
        } enumIDO_INetHostConstants;


    typedef enum {
        IDO_PPE_TEXT =     0x0,
        IDO_PPE_COLORS =   0x1,
        IDO_PPE_STYLES =   0x2,
        IDO_PPE_GRAPHICS = 0x3,
        IDO_PPE_INTERNET = 0x4,
        } enumIDO_PropertyPageEntityConstants;

    typedef enum {
        IDO_PPR_TEXT   = 0x0,
        IDO_PPR_COLORS = 0x1,
        IDO_PPR_STYLES = 0x2,
        } enumIDO_PropertyPageRelationConstants;

    typedef enum {
        IDO_PPI_COLORS = 0x0,
        IDO_PPI_GRID   = 0x1,
        } enumIDO_PropertyPageInterActConstants;

    typedef enum {
        ENTITYSHAPE_CIRCLE    = 0x0,
        ENTITYSHAPE_RECTANGLE = 0x1,
        ENTITYSHAPE_ROUNDRECT = 0x2,
        } enumIDO_EntityShapeConstants;

    typedef enum {
        ARROWSTYLE_NONE        = 0x0,
        ARROWSTYLE_STANDARD    = 0x1,
        ARROWSTYLE_NARROW      = 0x2,
        ARROWSTYLE_WIDE        = 0x3,
        ARROWSTYLE_SWEEPED     = 0x4,
        ARROWSTYLE_WHITECIRCLE = 0x5,
        ARROWSTYLE_BLACKCIRCLE = 0x6,
        } enumIDO_ArrowStyleConstants;

    typedef enum {
        LINESTYLE_STRAIGHT = 0x0,
        LINESTYLE_90DEGREE = 0x1,
        LINESTYLE_3PT      = 0x2,
        LINESTYLE_4PT      = 0x3,
        } enumIDO_LineStyleConstants;

    typedef enum {
        TEXTPOS_BOTTOM = 0x0,
        TEXTPOS_TOP =    0x1,
        TEXTPOS_LEFT =   0x2,
        TEXTPOS_RIGHT =  0x3,
        TEXTPOS_CENTER = 0x4,
        } enumIDO_TextPositionConstants;

    typedef enum {
        IDO_ZOOM_IN     = 0x1,
        IDO_ZOOM_OUT    = 0x2,
        IDO_ZOOM_TO_FIT = 0x4,
        } enumIDO_ZoomFlagsConstants;


    typedef enum {
        IDO_CANCELACTION = 0x1,
        IDO_ALLOWACTION  = 0x2,
        } enumIDO_StatusConstants;


#endif // IDOOCXDEF_INCLUDE
